<script>
    import Loader from './lib/Loader.svelte';
    import Player from './lib/Player.svelte';
    import About from './lib/About.svelte';

    let sequence = '';
    let loading = false;
    let loaded = false;

    function getSequence(seq) {
        loaded = true;
        loading = false;
        sequence = seq;
        console.log(sequence);
    }
</script>

<main>
    {#if loaded}
        <Player sequence={sequence} />    
    {/if}
    {#if loading}
        <Loader sendSequence={getSequence}/>
    {:else}
        <button class="button" on:click={() => loading = true}>Load a sequence</button>
    {/if}
</main>

<style>
  
</style>
